Back to Platform

POST /docsign/documents/{document_id}/signers

POST
/docsign/documents/{document_id}/signers

POST operation for /docsign/documents/{document_id}/signers

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

document_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://rest.onboard.io/docsign/documents/string/signers" \  -H "Content-Type: application/json" \  -d '{    "document": "string",    "name": "string",    "email": "[email protected]",    "role": "string",    "order": 1,    "color": "string"  }'
{
  "id": "string",
  "document": "string",
  "name": "string",
  "email": "[email protected]",
  "role": "string",
  "order": 1,
  "color": "string",
  "status": "pending",
  "completed_at": "2021-01-01T00:00:00Z",
  "created_at": "2021-01-01T00:00:00Z",
  "signer_fields": "string"
}
Empty
Empty
Empty

How is this guide?